Get customer by ID
curl --request GET \
--url https://app.sagepilot.ai/platform-api/v1/customers/{customer_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sagepilot.ai/platform-api/v1/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sagepilot.ai/platform-api/v1/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "88d44689-1ce7-4033-8256-655a7cd8f90b",
"name": "Vikram Singh Chundawat",
"email": "[email protected]",
"phone": "+918003213447",
"custom_fields": "{\"country\": \"Rajasthan\", \"location\": \"Bhilwara\", \"popup_submitted\": true, \"campaign.country\": \"Rajasthan\", \"popup_source_url\": \"https://sagepilot-test-account.myshopify.com/\", \"campaign.location\": \"Bhilwara\", \"popup_submitted_at\": \"2025-10-29T10:24:04.225Z\"}",
"created_at": "2025-02-18T19:49:12.573277+00:00",
"instagram_id": null,
"instagram_username": null,
"channel_name": "New Playground Channel",
"channel_kind": "playground"
}
Get customer by ID
Get a customer by path ID.
GET
/
platform-api
/
v1
/
customers
/
{customer_id}
Get customer by ID
curl --request GET \
--url https://app.sagepilot.ai/platform-api/v1/customers/{customer_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sagepilot.ai/platform-api/v1/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.sagepilot.ai/platform-api/v1/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "88d44689-1ce7-4033-8256-655a7cd8f90b",
"name": "Vikram Singh Chundawat",
"email": "[email protected]",
"phone": "+918003213447",
"custom_fields": "{\"country\": \"Rajasthan\", \"location\": \"Bhilwara\", \"popup_submitted\": true, \"campaign.country\": \"Rajasthan\", \"popup_source_url\": \"https://sagepilot-test-account.myshopify.com/\", \"campaign.location\": \"Bhilwara\", \"popup_submitted_at\": \"2025-10-29T10:24:04.225Z\"}",
"created_at": "2025-02-18T19:49:12.573277+00:00",
"instagram_id": null,
"instagram_username": null,
"channel_name": "New Playground Channel",
"channel_kind": "playground"
}
{
"id": "88d44689-1ce7-4033-8256-655a7cd8f90b",
"name": "Vikram Singh Chundawat",
"email": "[email protected]",
"phone": "+918003213447",
"custom_fields": "{\"country\": \"Rajasthan\", \"location\": \"Bhilwara\", \"popup_submitted\": true, \"campaign.country\": \"Rajasthan\", \"popup_source_url\": \"https://sagepilot-test-account.myshopify.com/\", \"campaign.location\": \"Bhilwara\", \"popup_submitted_at\": \"2025-10-29T10:24:04.225Z\"}",
"created_at": "2025-02-18T19:49:12.573277+00:00",
"instagram_id": null,
"instagram_username": null,
"channel_name": "New Playground Channel",
"channel_kind": "playground"
}
Required access
| Authentication | Scope | Dataset grant |
|---|---|---|
| API client v2 | customers:read | customers |
Path parameters
string
required
Customer UUID. Open a customer in the Customer module and use the last UUID in the URL:
/dashboard/[workspace_id]/customers/[customer_id]. See Resource IDs.Response
string
Customer ID.
object
Customer custom fields, when present.
string
Customer creation timestamp.
⌘I